
Foreman - Feature #1371

Re-query the abilities of the proxy

12/06/2011 10:39 AM - Ashley Penney

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently once you've added a proxy it does some initial discovery to decide what it manages.  If you need to change that (say to

remove dhcp management) you have to remove the entire proxy and readd it to make Puppet aware those roles have changed.  This

can be a pain and it would be nice to issue some kind of rediscover command that checked all the proxies for current roles.  Or they

reported in every so often, whatever works.

Related issues:

Is duplicate of Foreman - Feature #1244: smart proxies overview page needs a ... Closed 10/20/2011

History

#1 - 12/20/2011 07:04 AM - Ohad Levy

- Target version set to 1.0

i can see hows thats confusing.

btw: an easier solution is to edit the proxy and hit save again.

#2 - 06/17/2012 08:26 AM - Ohad Levy

- Target version deleted (1.0)

#3 - 12/06/2012 04:21 PM - Benjamin Papillon

- Status changed from New to Duplicate

This issue has already been reported. I'm closing this ticket.

If you feel this is an error, don't hesitate to reopen it!
